Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 973651 - FTBFS: rubygem-activeresource
FTBFS: rubygem-activeresource
Status: CLOSED ERRATA
Product: Red Hat Software Collections
Classification: Red Hat
Component: rubygem-activeresource (Show other bugs)
ruby193
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.0
Assigned To: Vít Ondruch
Iveta Wiedermann
:
Depends On: 974009
Blocks: 968295
  Show dependency treegraph
 
Reported: 2013-06-12 08:42 EDT by Vít Ondruch
Modified: 2013-09-10 13:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: ruby193-rubygem-activeresource-3.2.8-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 974009 (view as bug list)
Environment:
Last Closed: 2013-09-10 13:44:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2013:1249 normal SHIPPED_LIVE new packages: ruby193 2013-09-10 17:41:53 EDT

  None (edit)
Description Vít Ondruch 2013-06-12 08:42:44 EDT
1) Failure:
test_load_yaml_array(BaseTest) [/builddir/build/BUILDROOT/ruby193-rubygem-activeresource-3.2.8-1.el6.noarch/opt/rh/ruby193/root/usr/share/gems/gems/activeresource-3.2.8/test/cases/base_test.rb:1081]:
Exception raised:
<#<Hash::DisallowedType: Disallowed type attribute: "yaml">>.
Comment 3 Vít Ondruch 2013-06-14 03:58:24 EDT
The issues is caused by fix for CVE-2013-0156. Upstream simply dropped the offending test case: https://github.com/rails/rails/commit/e134e171c201e136ce28dc229cdc61944dc59cf2
Comment 6 errata-xmlrpc 2013-09-10 13:44:59 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1249.html

Note You need to log in before you can comment on or make changes to this bug.